using JiShe.CollectBus.FreeRedis;
using JiShe.CollectBus.FreeSql;
using JiShe.CollectBus.Localization;
using Microsoft.AspNetCore.Mvc;
using Volo.Abp.Application.Services;

namespace JiShe.CollectBus.Migration;

[ApiExplorerSettings(GroupName = CollectBusDomainSharedConsts.Business)]
public abstract class CollectBusMigrationAppService : ApplicationService
{
    public IFreeSqlProvider SqlProvider => LazyServiceProvider.LazyGetRequiredService<IFreeSqlProvider>();
    protected IFreeRedisProvider FreeRedisProvider => LazyServiceProvider.LazyGetService<IFreeRedisProvider>()!;

    protected CollectBusMigrationAppService()
    {
        LocalizationResource = typeof(CollectBusResource);
        ObjectMapperContext = typeof(CollectBusMigrationApplicationModule);
    } 
} 
